Subject: Re: Hardware button support for Wireless cards

From: Michael Buesch <[email-masked]>
Date: Mon, 15 May 2006 21:32:47 +0200

On Monday 15 May 2006 21:12, you wrote:
> > There are registers on the bcm43xx chip (0x158 and 0x49A) that indicate
> > some "Radio is hardware-disabled" state. We currently don't use that flag
> > correctly in the driver. Could you please assist me on testing if your switch
> > actually toggles the bit?
> > I think best place for this would be on irc.freenode.net #bcm-users
> 
> When those bits get set in the register, is the radio already disabled?
> ie, for the bcm43xx chip, is it really force-disabled by the button, or
> does the driver have some control?

Hm, actually, We don't know what the bit means. Could be some
completely different meaning. That is what I am trying to find
out. But it seems to have something to do with the power control
of the chip.